Subject: RE: [mobile-ip] I-D ACTION:draft-shahrier-mobileip-nat-00.txt

From: "Shahrier, Sharif M." <[email-masked]>
Date: Fri, 15 Jun 2001 11:52:15 -0400

Mingguey,

	I don't see the distinction between the two cases, since both cases
would statically assign a few global addresses
to the NAT-box, for mapping and transfer over the public backbone. Are you
saying that in the second case the global IP addresses are NOT statically
assigned?

Sharif

-----Original Message-----
From: Mingguey M. Yang [mailto:[email-masked]]
Sent: Friday, June 15, 2001 10:48 AM
To: [email-masked]
Subject: Re: [mobile-ip] I-D ACTION:draft-shahrier-mobileip-nat-00.txt

Sharif,

Then you mean that the format of a binding in the NAT should be (A Global IP
Address Reserved by NAT, Local IP
Address) instead of (Global IP Address of NAT, Local IP Address), right?

Mingguey

"Shahrier, Sharif M." wrote:

> Mingguey,
>
>         If you look at RFC 3022, it describes a "traditional NAT", where
> only registered IP addresses are used in the translation, not port
numbers.
> That is the model that my proposal is based on. However, it can be
extended
> to NAPT as well.
>
> Sharif.
>
> -----Original Message-----
> From: Mingguey M. Yang [mailto:[email-masked]]
> Sent: Thursday, June 14, 2001 4:38 PM
> To: [email-masked]
> Subject: Re: [mobile-ip] I-D ACTION:draft-shahrier-mobileip-nat-00.txt
>
> Sharif,
>
> In your proposed architecture, Basic Static NAT-routers are used. This
means
> that a set of globally unique IP addresses (i.e., a set of registered
> addresses) is reserved by each NAT device (located in a NAT-enabled
router)
> just for the purpose of  for address translation, i.e., mapping the
private
> address of each local private node that wants to communicate with an
> external
> node (i.e., CN) to one of the reserved global addresses. This is an
> one-to-one
> mapping within not only the NAT table but also the entire private network.
>
> Your proposal says that the format of a binding in the NAT is (Global IP
> Address of NAT, Local IP Address). Is the "Global IP Address of NAT" the
> registered IP address of the NAT-enabled router itself or one of the
> globally
> unique IP addresses reserved by the NAT located in the router? If it is
the
> former, then NAPT is used (instead of basic static NAT), where port
numbers
> are
> involved in the address translation. If it is the later, then the format
of
> a
> binding in the NAT should be (A Global IP Address Reserved by NAT, Local
IP
> Address).
>
> Mingguey
>
> "Shahrier, Sharif M." wrote:
>
> > The binding is one global address to one private address for a given
> > session.
> >
> > -----Original Message-----
> > From: Mingguey M. Yang [mailto:[email-masked]]
> > Sent: Thursday, June 14, 2001 3:18 PM
> > To: [email-masked]
> > Subject: Re: [mobile-ip] I-D ACTION:draft-shahrier-mobileip-nat-00.txt
> >
> > Sharif,
> >
> > In the "System Architecture" section:
> >    ...
> >    The NAT tables have to be set up, to reflect the correct binding
> >    between the global address of NAT-A and the local address of the
> >    sender in A...
> >
> > Is the binding of one global address to one private address mapping? Or
> one
> > global
> > address to many private addresses mapping?
> >
> > Mingguey

---

From: "Mingguey M. Yang" <[email-masked]>
Date: Fri, 15 Jun 2001 11:04:05 -0500

Sharif,

I just want to clarify what the "Global IP Address of NAT" means in the format
of a binding of NAT.
Is it the registered IP address of the NAT-enabled router itself or one of the
globally unique IP addresses reserved by the NAT located in the router?
Would you please identify which one it stands for?

Mingguey